## clisp 2.49.20210628.gitde01f0f

=== modules/netica/Makefile ===
# Makefile for CLISP module set netica
# <http://norsys.com/netica_c_api.htm>

srcdir = .
CC = gcc
CPPFLAGS =
CFLAGS = -Wall -O2
NETICA = $(NETICA_C_API)/src
CLISP = clisp -q -norc
CLISP_LINKKIT = $$($(CLISP) -b)/linkkit

LN = ln
LN_S = ln -s

MAKE = make

SHELL = /bin/sh

GENERATED = netica.o netica.fas wrap.fas link.sh
DISTRIBFILES = Makefile $(GENERATED) \
	$(srcdir)/netica.lisp $(srcdir)/wrap.lisp $(srcdir)/README
distribdir =

# default target: make the module
clisp-module : $(GENERATED)

netica.c netica.fas : $(srcdir)/netica.lisp
	$(CLISP) -c $(srcdir)/netica.lisp -o ./

netica.o : netica.c
	$(CC) $(CPPFLAGS) $(CFLAGS) -I$(CLISP_LINKKIT) -I$(NETICA) -c netica.c

wrap.fas: $(srcdir)/wrap.lisp
	$(CLISP) -c $< -o ./

link.sh : $(srcdir)/link.sh
	$(LN_S) $(srcdir)/link.sh .

# Make a module distribution into $(distribdir)
clisp-module-distrib : clisp-module force
	$(LN) $(DISTRIBFILES) $(distribdir)

clean : force
	rm -f core *.o *.a *.fas *.lib

distclean : clean

force :

=== debian/changelog ===
clisp (1:2.49.20210628.gitde01f0f-3.1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:38:07 +1100

clisp (1:2.49.20210628.gitde01f0f-3.1build2) noble; urgency=medium

  * No-change rebuild against libdb5.3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 02 Mar 2024 20:30:56 +0000

clisp (1:2.49.20210628.gitde01f0f-3.1build1) noble; urgency=medium

  * Rebuild against latest libunistring

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 27 Oct 2023 06:48:33 -0400

clisp (1:2.49.20210628.gitde01f0f-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop clisp-module-pcre. (Closes: #1000089)

 -- Bastian Germann <bage@debian.org>  Fri, 18 Aug 2023 16:39:51 +0000

clisp (1:2.49.20210628.gitde01f0f-3) unstable; urgency=medium

  * Team upload.
  * pari-2.15.patch: new patch, fixes FTBFS against pari 2.15.0-2.
    Thanks to Bill Allombert. (Closes: #1020437)
  * Trim trailing whitespace.
  * Update standards version to 4.6.1, no changes needed.
  * Remove myself from Uploaders.

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 25 Sep 2022 11:46:30 +0200

clisp (1:2.49.20210628.gitde01f0f-2) unstable; urgency=medium

  * Disable PIE when building for ppc64el and s390x as PIE executables get
    loaded at addresses that do not work with clisp's GC.
    Thanks to Michael Hudson-Doyle (LP: #1931531)

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 05 Sep 2021 16:54:12 +0200

clisp (1:2.49.20210628.gitde01f0f-1) unstable; urgency=medium

  * New upstream snapshot
  * d/watch: now track upstream git repository, since it’s unclear when a new
    tarball will be released.
  * d/copyright: reflect upstream changes
  * socket-test.patch: drop patch, applied upstream
  * ppc64el.patch: drop patch, no longer needed
  * Ship additional stuff: the build-aux subdirectory, and the Emacs, Vim and
    Autoconf support files
  * Bump to debhelper 13
  * Add lintian overrides for library-not-linked-against-libc in modules
  * Remove more webbugs in documentation
  * Ship the fastcgi, libsvm and pari modules
  * Add Rules-Requires-Root: no
  * Bump to S-V 4.6.0
  * Add d/upstream/metadata
  * config.patch: new patch, for better Debian integration:
    + use “editor” as default editor (if the EDITOR variable is not set)
    + use “sensible-browser” as default browser
    + if the hyperspec package is installed, use the local CLHS
      (Closes: #963776)
    + if the clisp-doc package is installed, use the locally installed
      implementation notes

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 29 Aug 2021 19:32:34 +0200

=== debian/control ===
Source: clisp
Section: lisp
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
Uploaders: Peter Van Eynde <pvaneynd@debian.org>,
           Christoph Egger <christoph@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 debhelper (>= 12.8~),
 gettext,
 bison,
 libncurses5-dev,
 groff,
 ghostscript,
 libx11-dev,
 libxext-dev,
 libxpm-dev,
 libsigsegv-dev (>= 2.11),
 libreadline-dev,
 libdb-dev,
 libffcall-dev,
 libgdbm-dev,
 libpq-dev,
 libdbus-1-dev,
 zlib1g-dev,
 libunistring-dev,
 locales-all,
 libfcgi-dev,
 libsvm-dev,
 libpari-dev
Standards-Version: 4.6.1
Homepage: http://www.clisp.org/
Vcs-Git: https://salsa.debian.org/common-lisp-team/clisp.git
Vcs-Browser: https://salsa.debian.org/common-lisp-team/clisp
Rules-Requires-Root: no

Package: clisp
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         sensible-utils
Provides: lisp-compiler, ${clisp:fasl-version}, ${clisp:memfile-hash}
Suggests: gdb,
          clisp-doc,
          slime,
          clisp-module-berkeley-db,
          clisp-module-clx,
          clisp-module-dbus,
          clisp-module-fastcgi,
          clisp-module-gdbm,
          clisp-module-libsvm,
          clisp-module-pari,
          clisp-module-postgresql,
          clisp-module-zlib,
          hyperspec
Breaks: clisp-dev (<< 1:2.49.20180212),
        clisp-module-rawsock (<< 1:2.49.20180212),
        clisp-module-bindings-glibc (<< 1:2.49.20180212)
Replaces: clisp-dev (<< 1:2.49.20180212),
          clisp-module-rawsock (<< 1:2.49.20180212),
          clisp-module-bindings-glibc (<< 1:2.49.20180212)
Description: GNU CLISP, a Common Lisp implementation
 GNU CLISP is a Common Lisp implementation.
 It conforms to the ANSI Common Lisp standard, and offers many extensions.
 It runs on all desktop operating systems (GNU and Unix systems, macOS,
 Windows) and is particularly memory-efficient.
 .
 It is Free Software and may be distributed under the terms of GNU GPL,
 while it is possible to distribute commercial proprietary applications
 compiled with GNU CLISP.
 .
 The user interface comes in English, German, French, Spanish, Dutch,
 Russian and Danish, and can be changed during run time.
 .
 GNU CLISP includes an interpreter, a compiler, a debugger, CLOS, MOP,
 a foreign language interface, a socket interface, i18n, fast bignums,
 arbitrary precision floats and more.
 An X11 interface is available through CLX, Garnet, CLUE/CLIO.
 GNU CLISP runs Maxima, ACL2 and many other Common Lisp packages.
 .
 This package contains the main CLISP executable, the link-kit, and the
 following modules: i18n, regexp, syscalls, readline, ASDF, rawsock,
 bindings/glibc.

Package: clisp-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: GNU CLISP, a Common Lisp implementation (documentation)
 GNU CLISP is a Common Lisp implementation.
 It conforms to the ANSI Common Lisp standard, and offers many extensions.
 It runs on all desktop operating systems (GNU and Unix systems, macOS,
 Windows) and is particularly memory-efficient.
 .
 This package contains the documentation for CLISP.

Package: clisp-module-berkeley-db
Architecture: any
Depends: ${shlibs:Depends}, clisp (= ${binary:Version}), ${misc:Depends}
Enhances: clisp
Description: GNU CLISP module that adds an interface to Berkeley DB
 GNU CLISP is a Common Lisp implementation.
 It conforms to the ANSI Common Lisp standard, and offers many extensions.
 It runs on all desktop operating systems (GNU and Unix systems, macOS,
 Windows) and is particularly memory-efficient.
 .
 This package adds a module to CLISP that implements an interface to the
 Berkeley DB.

Package: clisp-module-postgresql
Architecture: any
Depends: ${shlibs:Depends}, clisp (= ${binary:Version}), ${misc:Depends}
Enhances: clisp
Description: GNU CLISP module that adds a PostgreSQL interface
 GNU CLISP is a Common Lisp implementation.
 It conforms to the ANSI Common Lisp standard, and offers many extensions.
 It runs on all desktop operating systems (GNU and Unix systems, macOS,
 Windows) and is particularly memory-efficient.
 .
 This adds a module to CLISP that implements an interface to the
 PostgreSQL DB using the C bindings.

Package: clisp-module-clx
Architecture: any
Depends: ${shlibs:Depends}, clisp (= ${binary:Version}), ${misc:Depends}
Enhances: clisp
Description: GNU CLISP module that adds X11 bindings
 GNU CLISP is a Common Lisp implementation.
 It conforms to the ANSI Common Lisp standard, and offers many extensions.
 It runs on all desktop operating systems (GNU and Unix systems, macOS,
 Windows) and is particularly memory-efficient.
 .
 This adds a module to CLISP that implements an interface to the
 X11 called CLX.

Package: clisp-module-dbus
Architecture: any
Depends: ${shlibs:Depends}, clisp (= ${binary:Version}), ${misc:Depends}
Enhances: clisp
Description: GNU CLISP module that adds an interface to D-Bus
 GNU CLISP is a Common Lisp implementation.
 It conforms to the ANSI Common Lisp standard, and offers many extensions.
 It runs on all desktop operating systems (GNU and Unix systems, macOS,
 Windows) and is particularly memory-efficient.
 .
 This adds a module to CLISP that implements an interface to the
 D-Bus system.

Package: clisp-module-gdbm
Architecture: any
Depends: ${shlibs:Depends}, clisp (= ${binary:Version}), ${misc:Depends}
Enhances: clisp
Description: GNU CLISP module that adds an interface to GNU DBM
 GNU CLISP is a Common Lisp implementation.
 It conforms to the ANSI Common Lisp standard, and offers many extensions.
 It runs on all desktop operating systems (GNU and Unix systems, macOS,
 Windows) and is particularly memory-efficient.
 .
 This adds a module to CLISP that implements an interface to
 GNU DBM.

Package: clisp-module-zlib
Architecture: any
Depends: ${shlibs:Depends}, clisp (= ${binary:Version}), ${misc:Depends}
Enhances: clisp
Description: GNU CLISP module that adds zlib support for vectors
 GNU CLISP is a Common Lisp implementation.
 It conforms to the ANSI Common Lisp standard, and offers many extensions.
 It runs on all desktop operating systems (GNU and Unix systems, macOS,
 Windows) and is particularly memory-efficient.
 .
 This adds a module to CLISP that implements a zlib interface,
 allowing you to compress vectors using zlib.

Package: clisp-module-fastcgi
Architecture: any
Depends: ${shlibs:Depends}, clisp (= ${binary:Version}), ${misc:Depends}
Enhances: clisp
Description: GNU CLISP module that adds an interface to FastCGI
 GNU CLISP is a Common Lisp implementation.
 It conforms to the ANSI Common Lisp standard, and offers many extensions.
 It runs on all desktop operating systems (GNU and Unix systems, macOS,
 Windows) and is particularly memory-efficient.
 .
 This adds a module to CLISP that implements an interface to FastCGI.

Package: clisp-module-libsvm
Architecture: any
Depends: ${shlibs:Depends}, clisp (= ${binary:Version}), ${misc:Depends}
Enhances: clisp
Description: GNU CLISP module that adds an interface to LIBSVM
 GNU CLISP is a Common Lisp implementation.
 It conforms to the ANSI Common Lisp standard, and offers many extensions.
 It runs on all desktop operating systems (GNU and Unix systems, macOS,
 Windows) and is particularly memory-efficient.
 .
 This adds a module to CLISP that implements an interface to the LIBSVM
 library for support vector classification.

Package: clisp-module-pari
Architecture: any
Depends: ${shlibs:Depends}, clisp (= ${binary:Version}), ${misc:Depends}
Enhances: clisp
Description: GNU CLISP module that adds an interface to PARI
 GNU CLISP is a Common Lisp implementation.
 It conforms to the ANSI Common Lisp standard, and offers many extensions.
 It runs on all desktop operating systems (GNU and Unix systems, macOS,
 Windows) and is particularly memory-efficient.
 .
 This adds a module to CLISP that implements an interface to the PARI
 computer algebra system.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

# Disable -fstack-protector-strong (and PIE on ppc64el and s390x, see
# LP: #1931531 for more on that)
ifneq (,$(filter $(DEB_BUILD_ARCH), ppc64el s390x))
export DEB_BUILD_MAINT_OPTIONS=hardening=-stackprotectorstrong,-pie
else
export DEB_BUILD_MAINT_OPTIONS=hardening=-stackprotectorstrong
endif

# Needed for the libsvm module
export DEB_CPPFLAGS_MAINT_APPEND=-I/usr/include/libsvm

%:
	dh $@ --builddirectory=debian/build --no-parallel

override_dh_auto_configure:
	./configure debian/build \
		--prefix=/usr \
		--fsstnd=debian \
		--with-dynamic-ffi \
		--with-dynamic-modules \
		--with-module=gdbm \
		--with-module=berkeley-db \
		--with-module=rawsock \
		--with-module=clx/new-clx \
		--with-module=bindings/glibc \
		--with-module=postgresql \
		--with-module=zlib \
		--with-module=dbus \
		--with-module=asdf \
		--with-module=fastcgi \
		--with-module=libsvm \
		--with-module=pari

execute_after_dh_install:
	# remove unwanted upstream doc/ files
	rm -f debian/clisp-doc/usr/share/doc/clisp/doc/clisp.1 \
		debian/clisp-doc/usr/share/doc/clisp/doc/clisp-link.1 \
		debian/clisp-doc/usr/share/doc/clisp/COPYRIGHT \
		debian/clisp-doc/usr/share/doc/clisp/GNU-GPL
	# Remove unwanted demos in /usr/lib (they are already shipped under /usr/share/doc/)
	rm -rf debian/clisp-module-clx/usr/lib/clisp-*/clx/new-clx/demos/

override_dh_installchangelogs:
	dh_installchangelogs src/ChangeLog

execute_after_dh_fixperms-arch:
	# Make scripts executable to make lintian happy
	chmod +x debian/clisp/usr/lib/clisp-*/build-aux/config.rpath \
		debian/clisp/usr/lib/clisp-*/build-aux/depcomp

execute_before_dh_gencontrol-arch:
	# add FAS file format version to substvars
	debian/clisp/usr/bin/clisp -Efile utf-8 -B debian/clisp/usr/lib/clisp-* -M debian/clisp/usr/lib/clisp-*/base/lispinit.mem debian/fasl-version.lisp
	# add memfile hash to substvars
	echo "clisp:memfile-hash=clisp-memfile-hash-$$(debian/clisp/usr/bin/clisp -B debian/clisp/usr/lib/clisp-* -memfile-hash)" >> debian/clisp.substvars

## clisp 2.49.20241103.git386dcd7

=== debian/changelog ===
clisp (1:2.49.20241103.git386dcd7-1) unstable; urgency=medium

  * New upstream version 2.49.20241103.git386dcd7
  * Refreshed patches, dropped pari-2.15.patch which was accepted upstream
  * Added some berkeley-db merge requests which seem needed
  * Fix CLX build
  * Removed a flaky test
  * Depend on regular libncurses-dev
  * include fix for startup problems on hurd-i386. Closes: #1021420
  * Fix manpage error. Closes: #1041788
  * Adjusted manpage patch, macro got renamed an-trap -> an-input-trap
  * Adjusted copyright file
  * Updated Standards-Version, no real changes

 -- Peter Van Eynde <pvaneynd@debian.org>  Sun, 03 Nov 2024 20:05:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: clisp
 Section: lisp
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
+Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
 Uploaders: Peter Van Eynde <pvaneynd@debian.org>,
            Christoph Egger <christoph@debian.org>
 Build-Depends:
@@ -10,7 +9,7 @@
  debhelper (>= 12.8~),
  gettext,
  bison,
- libncurses5-dev,
+ libncurses-dev,
  groff,
  ghostscript,
  libx11-dev,
@@ -22,6 +21,7 @@
  libffcall-dev,
  libgdbm-dev,
  libpq-dev,
+ libpcre3-dev,
  libdbus-1-dev,
  zlib1g-dev,
  libunistring-dev,
@@ -29,7 +29,7 @@
  libfcgi-dev,
  libsvm-dev,
  libpari-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Homepage: http://www.clisp.org/
 Vcs-Git: https://salsa.debian.org/common-lisp-team/clisp.git
 Vcs-Browser: https://salsa.debian.org/common-lisp-team/clisp
@@ -51,6 +51,7 @@
           clisp-module-gdbm,
           clisp-module-libsvm,
           clisp-module-pari,
+          clisp-module-pcre,
           clisp-module-postgresql,
           clisp-module-zlib,
           hyperspec
@@ -109,6 +110,19 @@
  This package adds a module to CLISP that implements an interface to the
  Berkeley DB.
 
+Package: clisp-module-pcre
+Architecture: any
+Depends: ${shlibs:Depends}, clisp (= ${binary:Version}), ${misc:Depends}
+Enhances: clisp
+Description: GNU CLISP module that adds libpcre support
+ GNU CLISP is a Common Lisp implementation.
+ It conforms to the ANSI Common Lisp standard, and offers many extensions.
+ It runs on all desktop operating systems (GNU and Unix systems, macOS,
+ Windows) and is particularly memory-efficient.
+ .
+ This adds a module to CLISP that implements an interface to the
+ libpcre which implements Perl-compatible regular expressions.
+
 Package: clisp-module-postgresql
 Architecture: any
 Depends: ${shlibs:Depends}, clisp (= ${binary:Version}), ${misc:Depends}

## clisp 2.49.20241123.git9ff8aed

=== modules/bindings/glibc/Makefile ===
# Makefile for CLISP module set bindings/glibc

srcdir = .
CC = gcc
CPPFLAGS =
CFLAGS = -Wall -O2
CLISP = clisp -q -norc
CLISP_LINKKIT = $$($(CLISP) -b)/linkkit

LN = ln
LN_S = ln -s

MAKE = make

SHELL = /bin/sh

GENERATED = linux.o linux.fas wrap.fas link.sh
DISTRIBFILES = Makefile $(GENERATED) $(srcdir)/linux.lisp $(srcdir)/wrap.lisp
distribdir =

# default target: make the module
clisp-module : $(GENERATED)

linux.c linux.fas : $(srcdir)/linux.lisp
	$(CLISP) -c $(srcdir)/linux.lisp -o ./

linux.o : linux.c
	$(CC) $(CPPFLAGS) $(CFLAGS) -I$(CLISP_LINKKIT) -c linux.c

wrap.fas: $(srcdir)/wrap.lisp
	$(CLISP) -c $(srcdir)/wrap.lisp -o ./

link.sh : $(srcdir)/link.sh
	$(LN_S) $(srcdir)/link.sh .

# Make a module distribution into $(distribdir)
clisp-module-distrib : clisp-module force
	$(LN) $(DISTRIBFILES) $(distribdir)

clean : force
	rm -f core *.o *.a *.fas *.lib

distclean : clean

force :

=== debian/changelog ===
clisp (1:2.49.20241123.git9ff8aed-1) unstable; urgency=medium

  * New upstream version 2.49.20241123.git9ff8aed
  * Refreshed patches

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 04 Dec 2024 18:41:27 +0100

clisp (1:2.49.20241118.gitfaa3b6b-2) unstable; urgency=medium

  * Upload to unstable.

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 22 Nov 2024 07:53:26 +0100

clisp (1:2.49.20241118.gitfaa3b6b-1) experimental; urgency=medium

  * New upstream version 2.49.20241118.gitfaa3b6b
  * Just disable the flakey socket test
  * Depend on updated ffcall 2.25. (Closes: 1061414)

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 20 Nov 2024 08:56:43 +0100

clisp (1:2.49.20241117.git2640aef-2) unstable; urgency=medium

  * Add fix for sparc64 buildd problems

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 19 Nov 2024 15:54:15 +0100

clisp (1:2.49.20241117.git2640aef-1) unstable; urgency=medium

  * New upstream version 2.49.20241117.git2640aef
  * Updated and dropped applied patches
  * Fixed tests/socket.tst failure for hurd
  * Fixed small errors in debian/copyright

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon, 18 Nov 2024 07:45:01 +0100

clisp (1:2.49.20241103.git386dcd7-3) unstable; urgency=medium

  * Drop clisp-module-pcre again (Closes: #1000089)

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 08 Nov 2024 11:17:50 +0100

clisp (1:2.49.20241103.git386dcd7-2) unstable; urgency=medium

  * Add patch for pari 2.17

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 05 Nov 2024 19:59:20 +0100

=== debian/control ===
--- 
+++ 
@@ -18,10 +18,9 @@
  libsigsegv-dev (>= 2.11),
  libreadline-dev,
  libdb-dev,
- libffcall-dev,
+ libffcall-dev (>= 2.5),
  libgdbm-dev,
  libpq-dev,
- libpcre3-dev,
  libdbus-1-dev,
  zlib1g-dev,
  libunistring-dev,
@@ -51,7 +50,6 @@
           clisp-module-gdbm,
           clisp-module-libsvm,
           clisp-module-pari,
-          clisp-module-pcre,
           clisp-module-postgresql,
           clisp-module-zlib,
           hyperspec
@@ -110,19 +108,6 @@
  This package adds a module to CLISP that implements an interface to the
  Berkeley DB.
 
-Package: clisp-module-pcre
-Architecture: any
-Depends: ${shlibs:Depends}, clisp (= ${binary:Version}), ${misc:Depends}
-Enhances: clisp
-Description: GNU CLISP module that adds libpcre support
- GNU CLISP is a Common Lisp implementation.
- It conforms to the ANSI Common Lisp standard, and offers many extensions.
- It runs on all desktop operating systems (GNU and Unix systems, macOS,
- Windows) and is particularly memory-efficient.
- .
- This adds a module to CLISP that implements an interface to the
- libpcre which implements Perl-compatible regular expressions.
-
 Package: clisp-module-postgresql
 Architecture: any
 Depends: ${shlibs:Depends}, clisp (= ${binary:Version}), ${misc:Depends}

## clisp 2.49.20241228.gitc3ec11b

=== debian/changelog ===
clisp (1:2.49.20241228.gitc3ec11b-2) unstable; urgency=medium

  * Do dummy upload for migration (Closes: #1101188)

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon, 24 Mar 2025 14:00:26 +0100

clisp (1:2.49.20241228.gitc3ec11b-1) unstable; urgency=medium

  * New upstream version 2.49.20241228.gitc3ec11b
  * Remove clisp-module-fastcgi, as the library it uses has a latent security
    issue. (Closes: 1099798)
  * Updated Standards-Version, no changes

 -- Peter Van Eynde <pvaneynd@debian.org>  Sat, 08 Mar 2025 13:48:33 +0100

=== debian/control ===
--- 
+++ 
@@ -25,10 +25,9 @@
  zlib1g-dev,
  libunistring-dev,
  locales-all,
- libfcgi-dev,
  libsvm-dev,
  libpari-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: http://www.clisp.org/
 Vcs-Git: https://salsa.debian.org/common-lisp-team/clisp.git
 Vcs-Browser: https://salsa.debian.org/common-lisp-team/clisp
@@ -46,7 +45,6 @@
           clisp-module-berkeley-db,
           clisp-module-clx,
           clisp-module-dbus,
-          clisp-module-fastcgi,
           clisp-module-gdbm,
           clisp-module-libsvm,
           clisp-module-pari,
@@ -173,18 +171,6 @@
  This adds a module to CLISP that implements a zlib interface,
  allowing you to compress vectors using zlib.
 
-Package: clisp-module-fastcgi
-Architecture: any
-Depends: ${shlibs:Depends}, clisp (= ${binary:Version}), ${misc:Depends}
-Enhances: clisp
-Description: GNU CLISP module that adds an interface to FastCGI
- GNU CLISP is a Common Lisp implementation.
- It conforms to the ANSI Common Lisp standard, and offers many extensions.
- It runs on all desktop operating systems (GNU and Unix systems, macOS,
- Windows) and is particularly memory-efficient.
- .
- This adds a module to CLISP that implements an interface to FastCGI.
-
 Package: clisp-module-libsvm
 Architecture: any
 Depends: ${shlibs:Depends}, clisp (= ${binary:Version}), ${misc:Depends}

## clisp 2.49.20250504.gitf662209

=== benchmarks/Makefile ===
# Makefile for Gabriel's Benchmarks

# CLISP
CLISP=../build/clisp -norc

# CMUCL
CMUCL=lisp -noinit

LOG=benchmarks.log
EVAL=no

SOURCES=acker bfib boyer browse ctak dderiv deriv destru div2 fac fft fprint \
    fread frpoly puzzle stak stream tak takl takr tprint traverse triang

all:
	@echo "chose your compiler and run 'make clisp' or 'make cmucl'"

%.fas: %.lisp
	$(CLISP) -c $<

%.x86f: %.lisp
	$(CMUCL) -eval '(progn (compile-file "$<") (quit 0))'

clisp: run-all.fas $(addsuffix .lisp ,$(SOURCES))
	$(CLISP) -i $< -x '(benchmarks :compiled "$(LOG)")'
	@if [ "$(EVAL)" = "yes" ]; then $(CLISP) -i $< -x '(benchmarks :interpreted "$(LOG)")'; fi

cmucl: run-all.x86f $(addsuffix .lisp ,$(SOURCES))
	$(CMUCL) -load $< -eval '(progn (benchmarks :compiled "$(LOG)") (quit 0))'
	@if [ "$(EVAL)" = "yes" ]; then $(CMUCL) -load $< -eval '(progn (benchmarks :interpreted "$(LOG)") (quit 0))'; fi

clean: force
	rm -f *.fas *.lib *.tst *.x86f

distclean: force
	rm -f *.log

force:

=== doc/Makefile ===
# CLISP Implementation Notes generation
# (C) 2000-2011 Sam Steingold
# (C) 2024 Bruno Haible

# To generate HTML, you will need xsltproc & xmllint from the libxml2
# (http://xmlsoft.org/) package in addition to the DocBook DTDs and XSL
# stylesheets (http://www.docbook.org/)
# When writing docbook documentation, you need the "DocBook Definitive Guide"
# http://docbook.org/tdg/en/html/docbook-x.html

# which DTD to validate against
DTDVER=4.5

# all included XML files
IMPNOTES=cl-ent.xml clhs-ent.xml impbody.xml impent.xml mop.xml gray.xml     \
	impext.xml impissue.xml impbyte.xml unix-ent.xml mop-ent.xml faq.xml \
	history.xml fdl-1.3.dbk gpl-2.0.dbk \
	../modules/asdf/asdf.xml	        \
	../modules/berkeley-db/berkeley-db.xml	\
	../modules/berkeley-db/ent-bdb.xml	\
	../modules/dbus/dbus.xml		\
	../modules/dirkey/dirkey.xml		\
	../modules/fastcgi/fastcgi.xml		\
	../modules/gdbm/gdbm.xml		\
	../modules/gtk2/gtk.xml			\
	../modules/i18n/i18n.xml		\
	../modules/libsvm/svm.xml		\
	../modules/matlab/matlab.xml		\
	../modules/netica/netica.xml		\
	../modules/oracle/oracle.xml		\
	../modules/pari/pari.xml		\
	../modules/pcre/pcre.xml		\
	../modules/postgresql/postgresql.xml	\
	../modules/rawsock/rawsock.xml		\
	../modules/readline/readline.xml	\
	../modules/regexp/regexp.xml		\
	../modules/syscalls/syscalls.xml	\
	../modules/zlib/zlib.xml
# all used stylesheets
CLISP_XSL = chunk.xsl common.xsl fo.xsl id-href-map.xsl man.xsl pile.xsl
CLISP_CSS = impnotes.css
# targets for <olink> resolution
OLINK = man.tdb clink.tdb pile.tdb chunk.tdb olink-pile.xml olink-chunk.xml

RM=/bin/rm -f
CURDIR=$(shell pwd)

# what to do when there is no local system-wide DTD & XSL?
DOWNLOAD=yes

ifneq (,$(filter Windows%,$(OS)))
DTD_PATH=$(firstword $(wildcard ./docbook-dtd*/docbookx.dtd \
	/usr/share/docbook-xml$(DTDVER)/docbookx.dtd))
# Make sure to use a trailing slash.
XSL_PATH=$(firstword $(wildcard ./docbook-xsl*/ \
	/usr/share/docbook-xsl*/))
FOP=/cygdrive/c/java/fop-0.20.5/fop.bat
else
DTD_PATH=$(firstword $(wildcard ./docbook-dtd*/docbookx.dtd \
	/usr/share/sgml/docbook/xml-dtd-$(DTDVER)*/docbookx.dtd \
	/usr/share/xml/docbook/schema/dtd/$(DTDVER)*/docbookx.dtd))
XSL_PATH=$(firstword $(wildcard ./docbook-xsl*/ \
	/usr/share/sgml/docbook/xsl-stylesheets-1*/ \
	/usr/share/xml/docbook/stylesheet/nwalsh*/))
FOP=../../../fop/fop
endif

IN_FILES = impnotes.xml clisp.xml clisp-link.xml
# common dependencies for all checkers
CHECK_DEPS = $(IN_FILES)
ifeq (,$(wildcard $(DTD_PATH))) # DTD does not exist
ifeq (yes,$(DOWNLOAD))		# download once
CHECK_DEPS += docbook-dtd
DTD_PATH=./docbook-dtd/docbookx.dtd
else # download on each check (you need network-aware tools to use it)
# this is the original DTD
DTD_PATH=http://www.oasis-open.org/docbook/xml/$(DTDVER)/docbookx.dtd
#DTD_PATH=http://www.docbook.org/xml/$(DTDVER)/docbookx.dtd
endif
endif

# common dependencies for all generators
GEN_DEPS = common.xsl
ifeq (,$(wildcard $(XSL_PATH))) # stylesheets do not exist
ifeq (yes,$(DOWNLOAD))	        # download once
GEN_DEPS += docbook-xsl
XSL_PATH=./docbook-xsl/
else # download on each build (you need network-aware tools to use it)
XSL_PATH=http://docbook.xml-doc.org/snapshots/xsl/
# XSL_PATH=http://docbook.sourceforge.net/release/xsl/snapshot/
# XSL_PATH=http://docbook.sourceforge.net/release/xsl/current/
endif
endif

# The xmlcatalog utility (from libxml2)
XMLCATALOG=xmlcatalog

# chose one:
#TEXI2HTML=texi2html -monolithic -verbose $< -out_file $@
TEXI2HTML=makeinfo --verbose --no-split --no-headers --force --html $< -o $@

# NB: keep in sync with src/makemake.in:MYIMPROOT
DIST_SFBETA = sds,clisp@web.sf.net:/home/groups/c/cl/clisp/htdocs/beta
DIST =
RSYNC = rsync -avC --copy-unsafe-links
CHMOD = chmod -R a+rX

##### nothing user-serviceable below #####

# name of XML catalog file to create
# (if not specified, no local catalog created or used)
CATALOG_FILE=catalog.xml

# Stylesheets URI used internally in the CLISP project *.xsl files.
XSL_URI=http://docbook.sourceforge.net/release/xsl/current/

FILLIN=. ../version.sh && sed -e 's,@DTD@,$(DTD_PATH),' \
	    -e 's,@DTDVER@,$(DTDVER),' \
	    -e 's,@VERSION@,'$${VERSION_NUMBER}',' \
	    -e 's,@TODAY@,'`date +"%Y-%m-%d"`','

# cannot use profiling <http://www.sagehill.net/docbookxsl/Profiling.html>
# because that would require XSL tools to be installed on user machine
SGML_UNCOMMENT=-e 's/^<!--\#\(.*\)-->$$/\#\1/'

E=\ *<!--\(\#[^-]*\)--> *
ROFF_UNCOMMENT=-e 's/^$E$$/\1/' -e 's/$E$$/\n\1/' -e 's/^$E/\1\n/' -e 's/$E/\n\1\n/g'

.PHONY : all up count search clean

all: check impnotes.html regexp.html man

ifneq (,$(CATALOG_FILE))
# depends on Makefile because of $(XSL_PATH)
# gnu license xml files specify a bad dtd file
GNU_DTD = http://www.oasis-open.org/docbook/xml/$(DTDVER)/docbookx.dtd
$(CATALOG_FILE): Makefile
	$(RM) $(CATALOG_FILE)
	$(XMLCATALOG) --create > $(CATALOG_FILE)
	$(XMLCATALOG) --noout --add "rewriteURI" \
		$(XSL_URI) $(XSL_PATH) $(CATALOG_FILE)
	$(XMLCATALOG) --noout --add "rewriteSystem" \
		$(XSL_URI) $(XSL_PATH) $(CATALOG_FILE)
	$(XMLCATALOG) --noout --add "rewriteURI" \
		$(GNU_DTD) $(DTD_PATH) $(CATALOG_FILE)
XSLTPROC=XML_CATALOG_FILES="$(CATALOG_FILE) ${XML_CATALOG_FILES}" xsltproc
else
XSLTPROC=xsltproc
endif
XMLS_COMMON = --timing --xinclude

# target.database.document in this command is a workaround for bug
#   warning: failed to load external entity \"olinkdb.xml\"
#   Olink error: could not open target database \'olinkdb.xml\'.
# https://sourceforge.net/p/docbook/bugs/1111/
MAKE_TDB=$(XSLTPROC) $(XMLS_COMMON) --stringparam collect.xref.targets "only" \
  --stringparam target.database.document "olink-pile.xml" \
	--stringparam targets.filename

man.tdb: clisp.xml pile.xsl $(GEN_DEPS) $(CATALOG_FILE)
	$(MAKE_TDB) "$@" pile.xsl $<

clink.tdb: clisp-link.xml pile.xsl $(GEN_DEPS) $(CATALOG_FILE)
	$(MAKE_TDB) "$@" pile.xsl $<

pile.tdb: impnotes.xml $(IMPNOTES) pile.xsl $(GEN_DEPS) $(CATALOG_FILE)
	$(MAKE_TDB) "$@" pile.xsl $<

chunk.tdb: impnotes.xml $(IMPNOTES) chunk.xsl $(GEN_DEPS) $(CATALOG_FILE)
	$(MAKE_TDB) "$@" chunk.xsl $<

ifneq (,$(wildcard ../version.sh))
clisp.xml: clisp.xml.in ../version.sh Makefile
	$(RM) $@
	$(FILLIN) $< > $@

clisp-link.xml: clisp-link.xml.in ../version.sh Makefile
	$(RM) $@
	$(FILLIN) $< > $@

impnotes.xml: impnotes.xml.in $(IMPNOTES) ../version.sh Makefile
	$(RM) $@
	$(FILLIN) $< > $@
endif

XMLOUT=$(XSLTPROC) $(XMLS_COMMON) --stringparam target.database.document
DOC_MAN = --stringparam current.docid "man"
DOC_CLK = --stringparam current.docid "clink"
DOC_IMP = --stringparam current.docid "impnotes"

# Post-processing of man.xsl output.
# Add a newline before .PP, see
# <https://sourceforge.net/p/clisp/bugs/748/>
# <https://bugs.launchpad.net/ubuntu/+source/clisp/+bug/2022970>
# <https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1041788>
# Replace old 'an-trap' with newer 'an-input-trap' (no visible effect), see
# <https://savannah.gnu.org/bugs/?61002>.
MAN_XSL_POSTPROCESS = sed -i -e 's/\(.\)\.PP/\1\n.PP/g' -e 's/an-trap/an-input-trap/'

CHECK_IDS = if egrep -Hnr 'id="id[0-9]*"' $@; then exit 1; else true; fi

clisp.html: clisp.xml $(GEN_DEPS) pile.xsl $(OLINK)
	$(XMLOUT) "olink-pile.xml" $(DOC_MAN) -o $@ pile.xsl $<
	$(CHECK_IDS)

clisp.1: clisp.xml $(GEN_DEPS) man.xsl $(OLINK)
	$(XMLOUT) "olink-pile.xml" $(DOC_MAN) -o $@ man.xsl $<
	$(MAN_XSL_POSTPROCESS) $@

clisp-link.html: clisp-link.xml $(GEN_DEPS) pile.xsl $(OLINK)
	$(XMLOUT) "olink-pile.xml" $(DOC_CLK) -o $@ pile.xsl $<
	$(CHECK_IDS)

clisp-link.1: clisp-link.xml $(GEN_DEPS) man.xsl $(OLINK)
	$(XMLOUT) "olink-pile.xml" $(DOC_CLK) -o $@ man.xsl $<
	$(MAN_XSL_POSTPROCESS) $@

# Generates _clisp.html from clisp.html.
# For quality checking of _clisp.html, use "make -f Makefile.devel view-html".
_%.html: %.html
	sed $(SGML_UNCOMMENT) $< > $@

# Generates _clisp.1 from clisp.1.
# For quality checking of _clisp.1, use "make -f Makefile.devel view-man"
# or "groff -man -Tutf8 _clisp.1 | less -R".
_%.1: %.1
	sed $(ROFF_UNCOMMENT) $< > $@

check: $(IMPNOTES) $(CHECK_DEPS)
	for f in $(IN_FILES); do \
	  xmllint $(XMLS_COMMON) --noout --postvalid --noent $$f; done

impnotes.texi: impnotes.xml $(IMPNOTES)
	time docbook2texi $<

impnotes.html: impnotes.xml $(IMPNOTES) $(GEN_DEPS) pile.xsl $(OLINK)
	$(XMLOUT) "olink-pile.xml" $(DOC_IMP) -o $@ pile.xsl $<
#	cp impnotes.html impnotes-saved.html
#	tidy -config tidy.conf -f tidy.err impnotes.html || true
	$(CHECK_IDS)
	(test -n "$(DIST)" && $(CHMOD) impnotes.html impnotes.css && \
	 $(RSYNC) impnotes.html impnotes.css $(DIST)/) || true

man: _clisp.html _clisp.1 _clisp-link.html _clisp-link.1
	(cd ../build && make clisp.html clisp.1 && \
	 $(CHMOD) clisp.1 clisp.html && \
	 test -n "$(DIST)" && $(RSYNC) clisp.1 clisp.html $(DIST)/) || true

impnotes.fo: impnotes.xml $(IMPNOTES) fo.xsl $(XSL_TARGET)
	$(XMLOUT) "olink-pile.xml" $(DOC_IMP) -o $@ fo.xsl $<

# http://xmlgraphics.apache.org/fop/
impnotes.pdf: impnotes.fo
	${FOP} $< $@

id-href.map : chunk.tdb
	$(XSLTPROC) $(XMLS_COMMON) -o $@ id-href-map.xsl $<

html: impnotes.xml $(IMPNOTES) $(GEN_DEPS) chunk.xsl pile.xsl clisp.xml $(OLINK) id-href.map
	if [ ! -h $@ ]; then $(RM) -r $@; \
	  if [ -d ../../sf/www/impnotes ]; then ln -s ../../sf/www/impnotes $@; \
	  elif [ -d ../../www/impnotes ]; then ln -s ../../www/impnotes $@; \
	  else echo 'no sf/www dir'; false; fi; fi
	cd $@/ && grep -v -e "^#" .symlinks | sed 's/^/ln -vf /' | sh -
	cp -pv impnotes.css id-href.map $@/
	$(XMLOUT) "olink-chunk.xml" $(DOC_IMP) -o $@/ chunk.xsl $<
	$(XMLOUT) "olink-chunk.xml" $(DOC_MAN) -o $@/clisp.html pile.xsl clisp.xml
	$(XMLOUT) "olink-chunk.xml" $(DOC_CLK) -o $@/clisp-link.html pile.xsl clisp-link.xml
	sed $(SGML_UNCOMMENT) $@/clisp.html > _clisp-1.html
	sed $(SGML_UNCOMMENT) $@/clisp-link.html > _clisp-link-1.html
	cd ../build; make clisp-1.html clisp-link-1.html;
	mv -f ../build/clisp-1.html $@/clisp.html
	mv -f ../build/clisp-link-1.html $@/clisp-link.html
	rm -f _clisp-1.html _clisp-link-1.html
	$(CHECK_IDS)
	cd html; cd ..; $(CURDIR)/../utils/fix-perms.sh
	(test -n "$(DIST)" && $(CHMOD) $@ impnotes.css && \
	 $(RSYNC) $@/*.html $@/id-href.map impnotes.css $(DIST)/impnotes/) \
	|| true

# try to use http://www.graphviz.org/ instead of openoffice for MOP
# class inheritance diagrams
mop-classes.png : mop-classes.dot
	dot -Tpng mop-classes.dot -o mop-classes.png

up: impnotes.html html
	mv html impnotes
	$(CHMOD) impnotes.html impnotes
	$(RSYNC) impnotes.html impnotes $(DIST_SFBETA)
	mv impnotes html

regexp.html: ../modules/regexp/regexp.texinfo
	$(TEXI2HTML)

clean: force
	$(RM) impnotes.texi impnotes.html impnotes.pdf html \
	  clisp.html clisp.1 *.tdb $(CATALOG_FILE) impnotes.fo \
	  id-href.map clisp-link.html clisp-link.1
	test -f impnotes.xml.in && $(RM) impnotes.xml
	test -f clisp.xml.in && $(RM) clisp.xml
	test -f clisp-link.xml.in && $(RM) clisp-link.xml

count: $(IMPNOTES)
	wc $^

DTD_DOWNLOAD=http://www.docbook.org/xml/$(DTDVER)/docbook-xml-$(DTDVER).zip
docbook-dtd :
	mkdir docbook-dtd && cd docbook-dtd && \
	  wget -O docbook-xml.zip $(DTD_DOWNLOAD) && \
	  unzip docbook-xml.zip && $(RM) docbook-xml.zip

#XSL_DOWNLOAD=https://sourceforge.net/projects/docbook/files/latest/download?source=files
XSL_VERSION=1.79.1
XSL_DOWNLOAD=https://downloads.sourceforge.net/project/docbook/docbook-xsl/$(XSL_VERSION)/docbook-xsl-$(XSL_VERSION).zip
docbook-xsl :
	wget $(XSL_DOWNLOAD) && unzip docbook-xsl-$(XSL_VERSION).zip && \
	  mv -v docbook-xsl-$(XSL_VERSION) docbook-xsl && \
	  $(RM) docbook-xsl-$(XSL_VERSION).zip
	grep '<fm:Version>' docbook-xsl/VERSION

IMPNOTES_SRC = impnotes-src
$(IMPNOTES_SRC).zip : Makefile impnotes.xml clisp.xml clisp-link.xml \
		$(IMPNOTES) $(CLISP_XSL) $(CLISP_CSS)
	$(RM) -r $@ $(IMPNOTES_SRC)
	mkdir $(IMPNOTES_SRC);
	for f in $^; do sed 's,\.\./modules/[^/]*/,,' $$f > $(IMPNOTES_SRC)/`basename $$f`; done
	zip -9mvr $@ $(IMPNOTES_SRC)
	(test -n "$(DIST)" && $(CHMOD) $@ ../src/NEWS && \
	 $(RSYNC) $@ ../src/NEWS $(DIST)/) || true

SEARCH=

=== modules/asdf/Makefile ===
# Makefile for CLISP module set ASDF

srcdir = .
CLISP = clisp -norc -q
CLISP_LINKKIT = $$($(CLISP) -b)/linkkit

LN = ln
LN_S = ln -s

MAKE = make

SHELL = /bin/sh

GENERATED = asdf.fas link.sh
DISTRIBFILES = Makefile $(GENERATED) $(srcdir)/asdf.lisp
distribdir =

# default target: make the module
clisp-module : $(GENERATED)

asdf.fas: $(srcdir)/asdf.lisp
	$(CLISP) -m 2MW -c $(srcdir)/asdf.lisp -o ./

link.sh : $(srcdir)/link.sh
	$(LN_S) $(srcdir)/link.sh .

# Make a module distribution into $(distribdir)
clisp-module-distrib : clisp-module force
	$(LN) $(DISTRIBFILES) $(distribdir)

clean : force
	rm -f *.fas *.lib

distclean : clean

force :

=== modules/editor/Makefile ===
# Makefile for CLISP module set EDITOR

srcdir = .
CLISP = clisp -norc -q
CLISP_LINKKIT = $$($(CLISP) -b)/linkkit

LN = ln
LN_S = ln -s

MAKE = make

SHELL = /bin/sh

GENERATED = editor.fas link.sh
DISTRIBFILES = Makefile $(GENERATED) $(srcdir)/editor.lisp
distribdir =

# default target: make the module
clisp-module : $(GENERATED)

editor.fas: $(srcdir)/editor.lisp
	$(CLISP) -c $(srcdir)/editor.lisp -o ./

link.sh : $(srcdir)/link.sh
	$(LN_S) $(srcdir)/link.sh .

# Make a module distribution into $(distribdir)
clisp-module-distrib : clisp-module force
	$(LN) $(DISTRIBFILES) $(distribdir)

clean : force
	rm -f *.fas *.lib

distclean : clean

force :

=== modules/matlab/Makefile ===
# Makefile for CLISP module set matlab
# <http://www.mathworks.com/access/helpdesk/help/techdoc/apiref/apiref.shtml>

srcdir = .
CC = gcc
CPPFLAGS =
CFLAGS = -Wall -O2
# MATLAB = /usr/local/matlab/extern/include
MATLAB = d:/MATLAB7/extern/include
CLISP = clisp -q -norc
CLISP_LINKKIT = $$($(CLISP) -b)/linkkit

LN = ln
LN_S = ln -s

MAKE = make

SHELL = /bin/sh

GENERATED = matlab.fas matlab.o wrap.fas link.sh
DISTRIBFILES = Makefile $(GENERATED) \
	$(srcdir)/matlab.lisp $(srcdir)/wrap.lisp
distribdir =

# default target: make the module
clisp-module : $(GENERATED)

matlab.c matlab.fas : $(srcdir)/matlab.lisp
	$(CLISP) -c $(srcdir)/matlab.lisp -o ./

matlab.o : matlab.c
	$(CC) $(CFLAGS) -I$(CLISP_LINKKIT) -I$(MATLAB) -c matlab.c

wrap.fas: $(srcdir)/wrap.lisp
	$(CLISP) -c $(srcdir)/wrap.lisp -o ./

link.sh : $(srcdir)/link.sh
	$(LN_S) $(srcdir)/link.sh .

# Make a module distribution into $(distribdir)
clisp-module-distrib : clisp-module force
	$(LN) $(DISTRIBFILES) $(distribdir)

clean : force
	rm -f core *.o *.a *.fas *.lib

distclean : clean

force :

=== modules/queens/Makefile ===
# Makefile for the sample CLISP module QUEENS

srcdir = .

# Programs used by "make":
CC = gcc -O
CPPFLAGS =
CFLAGS = -Wall -fomit-frame-pointer -O2
CPP = gcc -O -E -w
LDFLAGS =
CLISP = clisp -q -norc
CLISP_LINKKIT = $$($(CLISP) -b)/linkkit

LN = ln
LN_S = ln -s

MAKE = make

SHELL = /bin/sh

GENERATED = queens.o callqueens.o link.sh
DISTRIBFILES = Makefile $(GENERATED)
distribdir =

# default target: make the module
clisp-module : $(GENERATED)

queens.o : $(srcdir)/queens.c
	$(CC) $(CPPFLAGS) $(CFLAGS) -c $(srcdir)/queens.c

callqueens.m.c : $(srcdir)/callqueens.c
	$(CLISP) -C $(CLISP_LINKKIT)/modprep $(srcdir)/callqueens.c ./

callqueens.o : callqueens.m.c
	$(CC) $(CPPFLAGS) $(CFLAGS) -I$(CLISP_LINKKIT) \
		-c callqueens.m.c -o callqueens.o

link.sh : $(srcdir)/link.sh
	$(LN_S) $(srcdir)/link.sh .

# Make a module distribution into $(distribdir)
clisp-module-distrib : clisp-module force
	$(LN) $(DISTRIBFILES) $(distribdir)

clean : force
	rm -f core *.o *.a *.m.c *.fas *.lib

distclean : clean

force :

=== modules/clx/mit-clx/Makefile ===
# Directories used by "make install":
srcdir = .
prefix = /usr/local
exec_prefix = $(prefix)
bindir = $(exec_prefix)/bin
libdir = $(exec_prefix)/lib
lisplibdir = $(libdir)/lisp

CLISP = clisp
LISP = $(CLISP)

ALLLISP = attributes.lisp buffer.lisp bufmac.lisp clx.lisp depdefs.lisp \
  dependent.lisp describe.lisp display.lisp fonts.lisp gcontext.lisp \
  graphics.lisp image.lisp input.lisp keysyms.lisp macros.lisp manager.lisp \
  package.lisp requests.lisp resource.lisp text.lisp trace.lisp translate.lisp \
  shape.lisp

SRCLISP = $(addprefix $(srcdir)/, $(ALLLISP))

ALLFAS =  attributes.fas buffer.fas bufmac.fas clx.fas depdefs.fas \
  dependent.fas describe.fas display.fas fonts.fas gcontext.fas \
  graphics.fas image.fas input.fas keysyms.fas macros.fas manager.fas \
  package.fas requests.fas resource.fas text.fas trace.fas translate.fas \
  shape.fas


# Choose one of the packers:

# Standard Unix packer. Requires GNU tar.
PACK = tar
PACKOPT = cvfhz
PACKEXT = .tar.Z

# The one with the best performance.
#PACK = lha
#PACKOPT = a
#PACKEXT = .lzh

# Popular DOS packer.
#PACK = zip
#PACKOPT = -r
#PACKEXT = .zip

# Popular Atari packer.
#PACK = zoo
#PACKOPT = -add
#PACKEXT = .zoo

LN = ln
LN_S = ln -s

SHELL = /bin/sh

DISTRIBFILES = link.sh Makefile README.CLISP $(SRCLISP) $(ALLFAS)
distribdir =

all: defsystem.fas stamp.fas $(ALLFAS) clx.mem link.sh

defsystem.fas defsystem.lib : $(srcdir)/defsystem.lisp
	$(LISP) -q -c $(srcdir)/defsystem -o ./

$(ALLFAS) : stamp.fas

stamp.fas : $(SRCLISP) defsystem.fas
	$(LISP) -m 4MB -q -i defsystem -x '(compile-clx "$(srcdir)/" "'`pwd`'/")'
	touch stamp.fas

clx.mem : defsystem.fas $(ALLFAS)
	$(LISP) -m 4MB -q -i defsystem -x '(load-clx "" :macrosp t) (saveinitmem "clx")'


install : clx.mem
	cp clx.mem $(lisplibdir)/clx.mem
	(echo '#!/bin/sh' ; echo '$(LISP) -m 4MB -M $(lisplibdir)/clx.mem "$$@"') > $(bindir)/clx
	chmod a+x $(bindir)/clx

link.sh : $(srcdir)/link.sh
	$(LN_S) $(srcdir)/link.sh .

distrib : src-distrib clisp-distrib

src-distrib : force
	$(PACK) $(PACKOPT) /tmp/clx-src$(PACKEXT) README Makefile *.lisp *.txt

clisp-distrib : force clx.mem
	$(PACK) $(PACKOPT) /tmp/clx$(PACKEXT) README clx.mem


# Make a module
clisp-module : defsystem.fas stamp.fas $(ALLFAS) link.sh

# Make a module distribution into $(distribdir)
clisp-module-distrib : clisp-module force
	$(LN) $(DISTRIBFILES) $(distribdir)

clean: force
	-rm -f *.lib *.fas *.mem

distclean : clean

force:

=== debian/changelog ===
clisp (1:2.49.20250504.gitf662209-2) sid; urgency=medium

  * Remove clisp-module-berkeley-db as libdb is leaving Debian.
    (Closes: #1119213

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 31 Oct 2025 08:05:55 +0100

clisp (1:2.49.20250504.gitf662209-1) unstable; urgency=medium

  * New upstream version.
  * This new version fixes the ftbfs with GCC-15 (Closes: #1096442)

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 24 Sep 2025 11:13:50 +0200

=== debian/control ===
--- 
+++ 
@@ -15,9 +15,8 @@
  libx11-dev,
  libxext-dev,
  libxpm-dev,
- libsigsegv-dev (>= 2.11),
+ libsigsegv-dev (>= 2.15),
  libreadline-dev,
- libdb-dev,
  libffcall-dev (>= 2.5),
  libgdbm-dev,
  libpq-dev,
@@ -42,7 +41,6 @@
 Suggests: gdb,
           clisp-doc,
           slime,
-          clisp-module-berkeley-db,
           clisp-module-clx,
           clisp-module-dbus,
           clisp-module-gdbm,
@@ -92,19 +90,6 @@
  Windows) and is particularly memory-efficient.
  .
  This package contains the documentation for CLISP.
-
-Package: clisp-module-berkeley-db
-Architecture: any
-Depends: ${shlibs:Depends}, clisp (= ${binary:Version}), ${misc:Depends}
-Enhances: clisp
-Description: GNU CLISP module that adds an interface to Berkeley DB
- GNU CLISP is a Common Lisp implementation.
- It conforms to the ANSI Common Lisp standard, and offers many extensions.
- It runs on all desktop operating systems (GNU and Unix systems, macOS,
- Windows) and is particularly memory-efficient.
- .
- This package adds a module to CLISP that implements an interface to the
- Berkeley DB.
 
 Package: clisp-module-postgresql
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,6 @@
 		--with-dynamic-ffi \
 		--with-dynamic-modules \
 		--with-module=gdbm \
-		--with-module=berkeley-db \
 		--with-module=rawsock \
 		--with-module=clx/new-clx \
 		--with-module=bindings/glibc \
@@ -31,7 +30,6 @@
 		--with-module=zlib \
 		--with-module=dbus \
 		--with-module=asdf \
-		--with-module=fastcgi \
 		--with-module=libsvm \
 		--with-module=pari

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=2.49.%cd.git%h" \
https://gitlab.com/gnu-clisp/clisp.git \
HEAD debian uupdate

## clisp 1997-12

=== modules/bindings/linux/Makefile ===
# Makefile for CLISP module set linux

CC =
CFLAGS =
INCLUDES=

CLISP =

LN = ln

MAKE = make

SHELL = /bin/sh

DISTRIBFILES = linux.o link.sh Makefile linux.lsp
WDISTRIBFILES = $(DISTRIBFILES) wlinux.o
distribdir =

all : linux.o

linux.c : linux.lsp
	$(CLISP) -c linux.lsp

linux.o : linux.c
	$(CC) $(CFLAGS) -I$(INCLUDES) -c linux.c

wlinux.o : linux.c
	$(CC) $(CFLAGS) -DWIDE -I$(INCLUDES) -c linux.c -o wlinux.o

# Make a module
clisp-module : all

clisp-module-wide : all wlinux.o

# Make a module distribution into $(distribdir)
clisp-module-distrib : clisp-module force
	$(LN) $(DISTRIBFILES) $(distribdir)

clisp-module-distrib-wide : clisp-module-wide force
	$(LN) $(WDISTRIBFILES) $(distribdir)

force :
